Package org.gitana.platform.client.principal

# Interface DomainPrincipal

All Superinterfaces:
  `AccessControllable`, `Attachable`, `Copyable`, `Document`, `DomainDocument`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Principal`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Subinterfaces:
  `DomainGroup`, `DomainUser`

All Known Implementing Classes:
  `AbstractDomainPrincipalImpl`, `DomainGroupImpl`, `DomainUserImpl`

public interface DomainPrincipal extends DomainDocument, Principal, Attachable, Selfable, AccessControllable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_AUTHORITIES`
`static final String`
`FIELD_NAME`
`static final String`
`FIELD_TYPE`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAuthorities()`
`String`
`getDomainId()`
`String`
`getDomainQualifiedId()`
`String`
`getDomainQualifiedName()`
`String`
`getName()`
`org.gitana.platform.services.principals.PrincipalType`
`getType()`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listParentGroups()`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listParentGroups(boolean includeAncestors)`
`void`
`setName(String name)`
`void`
`setType(org.gitana.platform.services.principals.PrincipalType type)`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.client.domain.DomainDocument

`getDomain`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface java.security.Principal

`equals, hashCode, implies, toString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_NAME

static final String FIELD_NAME

See Also:
  - Constant Field Values

### FIELD_TYPE

static final String FIELD_TYPE

See Also:
  - Constant Field Values

### FIELD_AUTHORITIES

static final String FIELD_AUTHORITIES

See Also:
  - Constant Field Values

## Method Details

### getName

String getName()

Specified by:
  `getName` in interface `Principal`

### setName

void setName(String name)

### getType

org.gitana.platform.services.principals.PrincipalType getType()

### setType

void setType(org.gitana.platform.services.principals.PrincipalType type)

### getDomainId

String getDomainId()

Specified by:
  `getDomainId` in interface `DomainDocument`

### getDomainQualifiedName

String getDomainQualifiedName()

### getDomainQualifiedId

String getDomainQualifiedId()

### getAuthorities

List<String> getAuthorities()

Returns:
  granted authorities for this user

### listParentGroups

org.gitana.platform.support.ResultMap<DomainGroup> listParentGroups()

### listParentGroups

org.gitana.platform.support.ResultMap<DomainGroup> listParentGroups(boolean includeAncestors)